- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.ListFeaturedContentSearchQueriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries/list#body.aspect_1)

**Full name**: projects.locations.instances.contentHub.featuredContentSearchQueries.list

List all searches featured content.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/featuredContentSearchQueries`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of FeaturedContentSearchQueries. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of FeaturedContentSearchQueries to return. The service may return fewer than this value. If unspecified, at most 100 FeaturedContentSearchQueries will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `featuredContentSearchQueries.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `featuredContentSearchQueries.list` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter to apply to list the FeaturedContentSearchQueries. This filter will be a text search on the name and description of the FeaturedContentSearchQuery. |

### Request body

The request body must be empty.

### Response body

Response message for listing FeaturedContentSearchQueries.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "featuredContentSearchQueries": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries#FeaturedContentSearchQuery`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `featuredContentSearchQueries[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentSearchQueries#FeaturedContentSearchQuery`)`` The list of FeaturedContentSearchQueries. Ordered by name by default. |
| `nextPageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.featuredContentSearchQueries.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).